with Nomo_Interpreter;
with HelloWorld;

with Interfaces.C.Strings;
with Ada.Text_IO;
with Ada.Exceptions;

procedure Test is

   use Nomo_Interpreter;

begin

   Initialize (HelloWorld.Actions, Interfaces.C.Strings.New_String(""), 0);
   Triggers;
   Finalize (Any_Modification);

exception
   when Error : others =>
      Ada.Text_Io.Put_Line (Ada.Exceptions.Exception_Information (Error));
end Test;